Description: Change the packaging type from bundle to jar
 (for some reason the resolution of the inter module dependencies doesn't work)
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not-needed
--- a/component-hub/pom.xml
+++ b/component-hub/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-component-hub</artifactId>
   <name>ApacheDS Component Hub</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
   <description>Provides main plugin-layer for ApacheDS</description>
 
   <dependencies>
--- a/core-annotations/pom.xml
+++ b/core-annotations/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-core-annotations</artifactId>
   <name>ApacheDS Core Annotations</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
   
   <description>Annotations used to define a DirectoryService</description>
   
--- a/core-api/pom.xml
+++ b/core-api/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-core-api</artifactId>
   <name>ApacheDS Core API</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Contains interfaces and helper classes that are part of the ApacheDS Core API.
--- a/core-avl/pom.xml
+++ b/core-avl/pom.xml
@@ -25,7 +25,7 @@
   
   <artifactId>apacheds-core-avl</artifactId>
   <name>ApacheDS Core AVL</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
   
   <description>A linked in memory AVL tree implementation with Cursor</description>
 
--- a/core-constants/pom.xml
+++ b/core-constants/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-core-constants</artifactId>
   <name>ApacheDS Core Constants</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>Contains classes that store interfaces with various constants in ApacheDS.</description>
   
--- a/core-integ/pom.xml
+++ b/core-integ/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-core-integ</artifactId>
   <name>ApacheDS Core Integration</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>Integration testing framework for Apache Directory Server.</description>
 
--- a/core-jndi/pom.xml
+++ b/core-jndi/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-core-jndi</artifactId>
   <name>ApacheDS Core JNDI</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
      Contains a JNDI provider implementation which wraps the core so existing 
--- a/core-shared/pom.xml
+++ b/core-shared/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-core-shared</artifactId>
   <name>ApacheDS Core Shared</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Contains helper classes that are part of the ApacheDS Core.
--- a/core/pom.xml
+++ b/core/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-core</artifactId>
   <name>ApacheDS Core</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
      Server's core contains the JNDI provider, interceptors, schema, and
--- a/http-directory-bridge/pom.xml
+++ b/http-directory-bridge/pom.xml
@@ -27,7 +27,7 @@
 
   <artifactId>apacheds-http-directory-bridge</artifactId>
   <name>ApacheDS DirectoryService-WebApp bridge</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <dependencies>
     
--- a/http-integration/pom.xml
+++ b/http-integration/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-http-integration</artifactId>
   <name>ApacheDS Jetty HTTP Server Integration</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
   
   <dependencies>
     <dependency>
--- a/i18n/pom.xml
+++ b/i18n/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-i18n</artifactId>
   <name>ApacheDS I18n</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
   
   <description>Internationalization of errors and other messages</description>
   
--- a/interceptor-kerberos/pom.xml
+++ b/interceptor-kerberos/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-interceptor-kerberos</artifactId>
   <name>ApacheDS Interceptors for Kerberos</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>Interceptors used by the ApacheDS kerberos service.</description>
 
--- a/interceptors/admin/pom.xml
+++ b/interceptors/admin/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-admin</artifactId>
   <name>ApacheDS AdministrativePoint Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     AdministrativePoint interceptor
--- a/interceptors/authn/pom.xml
+++ b/interceptors/authn/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-authn</artifactId>
   <name>ApacheDS Authentication Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Authentication interceptor
--- a/interceptors/authz/pom.xml
+++ b/interceptors/authz/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-authz</artifactId>
   <name>ApacheDS Authorization Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Authorization interceptor
--- a/interceptors/changelog/pom.xml
+++ b/interceptors/changelog/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-changelog</artifactId>
   <name>ApacheDS ChangeLog Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     ChangeLog interceptor
--- a/interceptors/collective/pom.xml
+++ b/interceptors/collective/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-collective</artifactId>
   <name>ApacheDS Collective Attribute Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Collective Attribute interceptor
--- a/interceptors/event/pom.xml
+++ b/interceptors/event/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-event</artifactId>
   <name>ApacheDS Event Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Event interceptor
--- a/interceptors/exception/pom.xml
+++ b/interceptors/exception/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-exception</artifactId>
   <name>ApacheDS Exception Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Exception interceptor
--- a/interceptors/hash/pom.xml
+++ b/interceptors/hash/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-hash</artifactId>
   <name>ApacheDS Password Hashing Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Password Hashing interceptor
--- a/interceptors/journal/pom.xml
+++ b/interceptors/journal/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-journal</artifactId>
   <name>ApacheDS Journal Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Journal interceptor
--- a/interceptors/logger/pom.xml
+++ b/interceptors/logger/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-logger</artifactId>
   <name>ApacheDS Logger Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Logger interceptor
--- a/interceptors/normalization/pom.xml
+++ b/interceptors/normalization/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-normalization</artifactId>
   <name>ApacheDS Normalization Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Normalization interceptor
--- a/interceptors/operational/pom.xml
+++ b/interceptors/operational/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-operational</artifactId>
   <name>ApacheDS Operational Attribute Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Operational Attribute interceptor
--- a/interceptors/referral/pom.xml
+++ b/interceptors/referral/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-referral</artifactId>
   <name>ApacheDS Referral Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Referral interceptor
--- a/interceptors/schema/pom.xml
+++ b/interceptors/schema/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-schema</artifactId>
   <name>ApacheDS Schema Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Schema interceptor
--- a/interceptors/subtree/pom.xml
+++ b/interceptors/subtree/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-subtree</artifactId>
   <name>ApacheDS Subtree Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Subtree interceptor
--- a/interceptors/trigger/pom.xml
+++ b/interceptors/trigger/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-trigger</artifactId>
   <name>ApacheDS Triggers Interceptor</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Triggers interceptor
--- a/jdbm-partition/pom.xml
+++ b/jdbm-partition/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-jdbm-partition</artifactId>
   <name>ApacheDS JDBM Partition</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     JDBM BTree backed partition implementation.
@@ -70,7 +70,7 @@
     <dependency>
       <groupId>org.apache.directory.jdbm</groupId>
       <artifactId>apacheds-jdbm1</artifactId>
-      <!--type>bundle</type-->
+      <!--type>jar</type-->
     </dependency>
     
     <dependency>
--- a/kerberos-codec/pom.xml
+++ b/kerberos-codec/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-kerberos-codec</artifactId>
   <name>ApacheDS Protocol Kerberos Codec</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>The Kerberos protocol encoder/decoder module</description>
 
--- a/ldif-partition/pom.xml
+++ b/ldif-partition/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-ldif-partition</artifactId>
   <name>ApacheDS LDIF Partition</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>A partition that backs it's entries and indices in AvlTrees within memory.</description>
 
--- a/osgi/pom.xml
+++ b/osgi/pom.xml
@@ -28,7 +28,7 @@
   </parent>
   <artifactId>apacheds-osgi</artifactId>
   <name>ApacheDS OSGi Bundle</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <properties>
     <apache.directory.version>${project.version}</apache.directory.version>
--- a/protocol-dhcp/pom.xml
+++ b/protocol-dhcp/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-protocol-dhcp</artifactId>
   <name>ApacheDS Protocol Dhcp</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>The DHCP protocol provider for ApacheDS</description>
 
--- a/protocol-dns/pom.xml
+++ b/protocol-dns/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-protocol-dns</artifactId>
   <name>ApacheDS Protocol Dns</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>The DNS protocol provider for ApacheDS</description> 
 
--- a/protocol-kerberos/pom.xml
+++ b/protocol-kerberos/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-protocol-kerberos</artifactId>
   <name>ApacheDS Protocol Kerberos</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>The Kerberos Protocol Provider for ApacheDS</description>
 
--- a/protocol-ldap/pom.xml
+++ b/protocol-ldap/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-protocol-ldap</artifactId>
   <name>ApacheDS Protocol Ldap</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
   
   <description>The LDAPv3 protocol provider for ApacheDS</description>
 
@@ -61,7 +61,7 @@
     <dependency>
       <groupId>org.apache.directory.jdbm</groupId>
       <artifactId>apacheds-jdbm1</artifactId>
-      <!--type>bundle</type-->
+      <!--type>jar</type-->
     </dependency>
 
     <dependency>
--- a/protocol-ntp/pom.xml
+++ b/protocol-ntp/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-protocol-ntp</artifactId>
   <name>ApacheDS Protocol Ntp</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>The NTP protocol provider for ApacheDS</description>
 
--- a/protocol-shared/pom.xml
+++ b/protocol-shared/pom.xml
@@ -26,7 +26,7 @@
   </parent>
   
   <name>ApacheDS Protocol Shared</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
   <artifactId>apacheds-protocol-shared</artifactId>
 
   <description>
--- a/server-annotations/pom.xml
+++ b/server-annotations/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-server-annotations</artifactId>
   <name>Apacheds Server Annotations</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>Annotations used to define a LdapServer</description>
   
--- a/server-config/pom.xml
+++ b/server-config/pom.xml
@@ -27,7 +27,7 @@
 
   <artifactId>apacheds-server-config</artifactId>
   <name>ApacheDS Server Config</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <dependencies>
     
--- a/server-integ/pom.xml
+++ b/server-integ/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-server-integ</artifactId>
   <name>ApacheDS Server Integration</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>Integration testing framework for Apache Directory Server.</description>
 
--- a/server-jndi/pom.xml
+++ b/server-jndi/pom.xml
@@ -27,7 +27,7 @@
   
   <artifactId>apacheds-server-jndi</artifactId>
   <name>ApacheDS Server JNDI</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     The JNDI provider which launches the core and associated network 
--- a/service-builder/pom.xml
+++ b/service-builder/pom.xml
@@ -27,7 +27,7 @@
 
   <artifactId>apacheds-service-builder</artifactId>
   <name>ApacheDS Service Builder</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <dependencies>
     <dependency>
--- a/service-osgi/pom.xml
+++ b/service-osgi/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-service-osgi</artifactId>
   <name>ApacheDS OSGI Deployer</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description />
   <dependencies>
--- a/test-framework/pom.xml
+++ b/test-framework/pom.xml
@@ -28,7 +28,7 @@
   
   <artifactId>apacheds-test-framework</artifactId>
   <name>ApacheDS Test Framework</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
   
   <description>Test framework for integration tests without depending on the InheritableSettings</description>
   
--- a/xdbm-partition/pom.xml
+++ b/xdbm-partition/pom.xml
@@ -26,7 +26,7 @@
   
   <artifactId>apacheds-xdbm-partition</artifactId>
   <name>ApacheDS Generalized (X) DBM Partition</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
   
   <description>Partition with search engine implementation generalized for XDBM entry store scheme</description>
   
--- a/all/pom.xml
+++ b/all/pom.xml
@@ -74,7 +74,7 @@
     <dependency>
       <groupId>org.apache.directory.jdbm</groupId>
       <artifactId>apacheds-jdbm1</artifactId>
-      <!--type>bundle</type-->
+      <!--type>jar</type-->
     </dependency>
     
     <dependency>
--- a/interceptors/number/pom.xml
+++ b/interceptors/number/pom.xml
@@ -29,7 +29,7 @@
   
   <artifactId>apacheds-interceptors-number</artifactId>
   <name>ApacheDS Interceptor to increment numeric attributes</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <description>
     Numeric attribute value incrementing interceptor
--- a/mavibot-partition/pom.xml
+++ b/mavibot-partition/pom.xml
@@ -24,7 +24,7 @@
   </parent>
   <artifactId>apacheds-mavibot-partition</artifactId>
   <name>ApacheDS Mavibot Partition</name>
-  <packaging>bundle</packaging>
+  <packaging>jar</packaging>
 
   <dependencies>
     <dependency>
